Lucius API
Webhooks

Get a webhook endpoint

Retrieve a single webhook endpoint.

GET
/v1/webhook-endpoints/{id}

Authorization

AuthorizationBearer <token>

API key as Bearer token: Authorization: Bearer luc_live_.... Create keys in the dashboard under Settings > API Keys.

In: header

Path Parameters

id*string

Webhook endpoint ID.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhook-endpoints/string"
{  "object": "webhook_endpoint",  "id": "string",  "url": "string",  "description": "string",  "events": [    "customer.created"  ],  "status": "enabled",  "created_at": "2019-08-24T14:15:22Z",  "secret": "string"}

{  "error": "Missing API key"}

{  "error": "Not found"}